summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'app-backup/bareos/files/bareos-dir.initd')
-rw-r--r--app-backup/bareos/files/bareos-dir.initd4
1 files changed, 4 insertions, 0 deletions
diff --git a/app-backup/bareos/files/bareos-dir.initd b/app-backup/bareos/files/bareos-dir.initd
index 0bb566582f4c..a2986d133cc3 100644
--- a/app-backup/bareos/files/bareos-dir.initd
+++ b/app-backup/bareos/files/bareos-dir.initd
@@ -8,6 +8,10 @@ depend() {
start_pre() {
checkpath --directory --owner root:bareos --mode 01775 /run/bareos
+ if [[ -e /run/bareos/bareos-dir.9101.pid && $(stat -c %U /run/bareos/bareos-dir.9101.pid) != "root" ]]; then
+ eerror "SECURITY ALERT: bareos owned pidfile found! (see #631598)"
+ exit 1
+ fi
}
start_post() {